<div class="row">
  <div class="col-sm-6">
    <div class="form-group">
      <label for="countryName">Country Name</label>
      <input type="text" class="form-control" id="countryName" [(ngModel)]="countryName" placeholder="Country name">

    </div>
  </div>

  <div class="col-sm-6">
    <div class="form-group">
      <label for="countryRegion">Country Region</label>
      <select class="form-control" [(ngModel)]="countryRegion">
        <option id="countryRegion" [ngValue]="0">None</option>
        <option *ngFor="let region of regions | async" id="countryRegion" [ngValue]="region.val().name">{{region.val().name}}</option>
      </select>
    </div>

  </div>

</div>



<div class="row">
  <div class="col-sm-6">
    <div class="form-group">
      <label for="track">Cover Image ( 640 x 360 ) pixels</label>
      <input type="file" class="form-control" id="countryCover">
    </div>
  </div>

  <div class="col-sm-6">
    <div class="form-group">
      <label for="track">Portrait Image ( 600 x 600 ) pixels</label>
      <input type="file" class="form-control" id="countryImage">
    </div>
  </div>



</div>
<div class="row">




  <div class="col-sm-4">

    <button type="submit" (click)="upload()" class="btn btn-primary">Submit</button>


  </div>

</div>